Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002676Endian FirewallProxy HTTPpublic2010-02-11 19:342014-02-24 14:13
Reporteraender 
Assigned Tomax-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.3 
Target Version2.4.1Fixed in Version2.5 
Summary0002676: Browser is stucking at apply setting
DescriptionBrowser stucks with this Message: "Proxy settings are being applied. Please hold..." after press Apply when we change settings in Profiles or Access Policy.

Testet with Safari on OS X 10.6.2

Tagspurple
Attached Files? file icon notifications.py [^] (3,949 bytes) 2010-11-30 11:34
? file icon servicesubscriber.js [^] (48,432 bytes) 2010-11-30 11:34

- Relationships
has duplicate 0003277closedchristian-endian Endian Firewall After update from 2.4 to 2.4.1, changes applied to HTTP proxy wait indefnitely 
has duplicate 0003262confirmedchristian-endian Endian Firewall After upgrade from 2.4 to 2.4.1 have emi panic 
has duplicate 0003294assignedsimon-endian Endian Firewall Backup show no dialog when creating a backup 
has duplicate 0003312resolvedsimon-endian Endian Firewall proxy restart from web UI don't work on 2.4.1 
has duplicate 0003322resolvedlorenzo-endian Endian Firewall Problem in Proxy Gui menu 

-  Notes
(0003769)
aender (reporter)
2010-02-11 19:37

Sorry.

This only happens at applying Profile settings.
(0003949)
peter-endian (administrator)
2010-03-05 14:34

does not happen to me

what means is stuck? is the notification messages not going away leaving you in a situation where you can't klick any link?
or is the browser not reacting?

does it happen also with firefox?
(0003950)
aender (reporter)
2010-03-05 14:38

Hmm..

Can´t reproduce this. Maybe the last efw-proxy package from yesterday solves this issue.
So please close this bug.
(0004138)
tankgunk (reporter)
2010-04-13 04:34

I'm not sure what aender is getting at, but I've had problems configuring EFW from Safari in the past, worked fine when I use basically any other browser.

For me, it's basically impossible to configure almost everything from Safari. For example, I can start/stop the proxy, but I can't change any of the settings. I can also completely configure QoS, but I can't touch port forwarding.

I get the following when I'm trying to save proxy settings in Safari:

Safari can’t open the page “https://10.0.0.1:10443/cgi-bin/proxyconfig.cgi [^]” because the server where this page is located isn’t responding.
(0004353)
tiagoaviz (reporter)
2010-06-04 17:22

Can reproduce from here, too. I'm able to apply settings from Safari, but after 15 seconds my browser completely freezes.

It also gets stuck from FireFox in Mac OS X, but it does not freeze the browser, so I'm able to call the dashboard again by changing the URL in the browser.

The changes are applied, the browser window basically just does not get un-grayed..
(0005032)
compdoc (reporter)
2010-11-07 15:15
edited on: 2010-11-07 15:16

I have two efw firewalls. One that was version 2.4 that I upgraded to 2.4.1 with the efw-upgrade command, and one that was version 2.2 that I tried to upgrade to 2.4.1 with efw-upgrade, but which failed so I had to install 2.4 from scratch and then upgrade to 2.4.1.

Anyway, both are now getting stuck on this "Proxy settings are being applied. Please hold..." page. Doesn't matter if I use IE or Firefox, and it doesnt matter which computer I use...

(0005033)
volga629 (reporter)
2010-11-07 16:29
edited on: 2010-11-07 16:43

Peter please read my report about emi I think this is cause the problem.
I have the same issue any service cannot be reloaded through web GUI.
my ticket 0003262

Here again log from /var/log/emi
Nov 7 10:23:52 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:23:52 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:23:55 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:23:55 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:23:56 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:23:57 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:23:58 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:23:58 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:23:59 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:23:59 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:24:00 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:24:00 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:24:01 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:24:02 emi[5843]: Failed calling status display 'status.notifications.services'.
Nov 7 10:24:02 emi[5843]: Failed calling status display 'status.notifications.services'.

(0005074)
ardit-endian (developer)
2010-11-10 10:37

I verified the stuck with one system when applying the firewall rules, after I added a port forwarding & Applying the rule, the "apply" keep showing.
(0005089)
ardit-endian (developer)
2010-11-11 11:16

Veirified also with another system when applying the routing rules.
The "apply" keeps popping up.
(0005111)
treetex (reporter)
2010-11-14 11:38

Applied the latest updates to ver. 4.1 today 2010-11-14 and the problem still exist. This is from /var/log/emi before and after the update:

Nov 14 10:34:16 endian emi[5119]: Failed calling status display 'status.notifications.services'.
Nov 14 10:36:25 endian emi[5119]: Call 'commands.migration.update({})'
Nov 14 10:36:28 endian emi[5119]: Packages list updated
Nov 14 10:37:18 endian emi[5119]: Failed calling status display 'status.notifications.services'.
Nov 14 10:40:29 endian emi[5119]: Call 'commands.migration.run({'release': u'1.endian8', 'epoch': u'1', 'version': u'2.4.7', 'pkg': u'efw-proxy'})'
Nov 14 10:40:29 endian emi[5119]: Migrate package 'efw-proxy' to version '{'release': '1.endian8', 'epoch': '1', 'version': '2.4.7'}'
Nov 14 10:40:30 endian emi[5119]: Call 'commands.emi.reload({'module': u'proxy'})'
Nov 14 10:40:30 endian emi[5119]: Reload EMI...
Nov 14 10:40:31 endian emi[5119]: Initializing status subsystems of EMI modules in '/usr/lib/python2.4/site-packages/endian'
Nov 14 10:40:31 endian emi[5119]: Initialized status subsystem of module: collectd
Nov 14 10:40:31 endian emi[5119]: Initialized status subsystem of module: networkstatus
Nov 14 10:40:31 endian emi[5119]: Load test status subsystem of module 'status'
Nov 14 10:40:31 endian emi[5119]: Load services notifications status interface
Nov 14 10:40:31 endian emi[5119]: Initialized status subsystem of module: status
Nov 14 10:40:32 endian emi[5119]: Initialized status subsystem of module: uplinksdaemon
Nov 14 10:40:32 endian emi[5119]: Initializing web subsystems of EMI modules in '/usr/lib/python2.4/site-packages/endian'
Nov 14 10:40:32 endian emi[5119]: Initialized web subsystem of module: commands
Nov 14 10:40:32 endian emi[5119]: Initialized web subsystem of module: firewallgui
Nov 14 10:40:32 endian emi[5119]: Initialized web subsystem of module: ips
Nov 14 10:40:32 endian emi[5119]: could not import smsnotifications
Nov 14 10:40:32 endian emi[5119]: Initialized web subsystem of module: notifications
Nov 14 10:40:32 endian emi[5119]: Initialized web subsystem of module: proxy
Nov 14 10:40:32 endian emi[5119]: Initialized web subsystem of module: qos
Nov 14 10:40:32 endian emi[5119]: Initialized web subsystem of module: status
Nov 14 10:40:33 endian emi[5119]: Initialized web subsystem of module: webshell
Nov 14 10:41:01 endian emi[5119]: Call 'commands.migration.run({})'
Nov 14 10:50:17 endian emi[5119]: Failed calling status display 'status.notifications.services'.
Nov 14 10:52:10 endian emi[5093]: Initializing status subsystems of EMI modules in '/usr/lib/python2.4/site-packages/endian'
Nov 14 10:52:10 endian emi[5093]: Initialized status subsystem of module: collectd
Nov 14 10:52:10 endian emi[5093]: Initialized status subsystem of module: networkstatus
Nov 14 10:52:10 endian emi[5093]: Load test status subsystem of module 'status'
Nov 14 10:52:10 endian emi[5093]: Load services notifications status interface
Nov 14 10:52:10 endian emi[5093]: Initialized status subsystem of module: status
Nov 14 10:52:11 endian emi[5093]: Initialized status subsystem of module: uplinksdaemon
Nov 14 10:52:11 endian emi[5093]: Initializing web subsystems of EMI modules in '/usr/lib/python2.4/site-packages/endian'
Nov 14 10:52:11 endian emi[5093]: Initialized web subsystem of module: commands
Nov 14 10:52:11 endian emi[5093]: Initialized web subsystem of module: firewallgui
Nov 14 10:52:11 endian emi[5093]: Initialized web subsystem of module: ips
Nov 14 10:52:12 endian emi[5093]: could not import smsnotifications
Nov 14 10:52:12 endian emi[5093]: Initialized web subsystem of module: notifications
Nov 14 10:52:12 endian emi[5093]: Initialized web subsystem of module: proxy
Nov 14 10:52:12 endian emi[5093]: Initialized web subsystem of module: qos
Nov 14 10:52:12 endian emi[5093]: Initialized web subsystem of module: status
Nov 14 10:52:13 endian emi[5093]: Initialized web subsystem of module: webshell
Nov 14 11:11:22 endian emi[5093]: Failed calling status display 'status.notifications.services'.
Nov 14 11:12:49 endian emi[5093]: Call 'commands.migration.update({})'
Nov 14 11:12:53 endian emi[5093]: Packages list updated
Nov 14 11:12:58 endian emi[5093]: Call 'commands.migration.run({})'
Nov 14 11:13:30 endian emi[5093]: Failed calling status display 'status.notifications.services'.
Nov 14 11:31:08 endian emi[5093]: Failed calling status display 'status.notifications.services'.
(0005115)
lorenzo-endian (manager)
2010-11-15 11:52

Verified with the last updates with

- Internet Explorer
- Safari
- Firefox
- Opera

The bug is confirmed and not related to the browsed used.

Lo
(0005167)
baldy (reporter)
2010-11-20 09:58

Using Chrome the message is stuck at Writing Sarg configuration. Refreshing the page shows settings applied properly.
(0005169)
ardit-endian (developer)
2010-11-22 09:34

Issue confirmed also with 2.4 enterprise.
(0005201)
max-endian (developer)
2010-11-25 10:17

There is a bug in this file /home/httpd/html/include/servicesubscriber.js ca. at line 699.

Please move the first function into the body of the second.

Before:

        /* Define the poll function */
        pollfn = lazy_apply(function() {
            /* Only allow one request at a time */
            if(this.requestInProgress) {
                return;
            }
            this.requestInProgress = true;
            
            /* Fire a new request to the notification location */
            __lastXHR = $.getJSON(this.status_location + '&rand=' + rand(),
                                  lazy_apply(this.onSuccess, this),
                                  lazy_apply(this.onError, this))
        }, this);
        
        /* Call pollfn using interval as interval */
        var starter = lazy_apply(function() {
            /* A state different from initiating implies, that the subscription
             * was aborted already. This might happen, if a subscription is
             * controlled by a master.
             */
            if(this.state != 'INITIATING') return;
            /* Check if the service has already died with an error */
            if(this.type != 'observe')
                this.serviceEndedAlready();
            /* Call once immediately, then after the defined interval */
        interval=2000;
            this._interval_obj = setInterval(pollfn, interval);
        }, this);


after:

        /* Call pollfn using interval as interval */
        var starter = lazy_apply(function() {

            /* Define the poll function */
            pollfn = lazy_apply(function() {
                /* Only allow one request at a time */
                if(this.requestInProgress) {
                    return;
                }
                this.requestInProgress = true;
        
                /* Fire a new request to the notification location */
                __lastXHR = $.getJSON(this.status_location + '&rand=' + rand(),
                                      lazy_apply(this.onSuccess, this),
                                      lazy_apply(this.onError, this))
            }, this);


            /* A state different from initiating implies, that the subscription
             * was aborted already. This might happen, if a subscription is
             * controlled by a master.
             */
            if(this.state != 'INITIATING') return;
            /* Check if the service has already died with an error */
            if(this.type != 'observe')
                this.serviceEndedAlready();
            /* Call once immediately, then after the defined interval */
            pollfn();
            interval=2000;
            this._interval_obj = setInterval(pollfn, interval);
        }, this);
(0005214)
Sinatraw (reporter)
2010-11-26 01:35

Apparently, this issue still exists. I have downloaded a new iso and installed 2.4.1 and re installed the software. Processing hangs regardless of if I am applying settings via the Intrusion Protection System or Proxy Setting. This was not a issue with 2.4.

Hardware used:

Dell Optiplex 755
Dual Core Processor
4GB Memory
500 Gb Hard Drive

The work around is to refresh screen and go back 1 page if using the web interface.

Out of curiosity, is this issue also present via the CLI?

Thanks,
(0005215)
volga629 (reporter)
2010-11-26 04:59

I tested today after replacement of code, but problem still exist on attempt of Snort restart.

Nov 25 22:46:06 wall emi[29873]: Failed calling status display 'status.notifications.services'.
Nov 25 22:55:01 wall emi[29873]: Failed calling status display 'status.notifications.services'.
Nov 25 22:55:12 wall emi[29873]: Failed calling status display 'status.notifications.services'.
(0005217)
amitkpt (reporter)
2010-11-26 09:48

I freshly install 2.4.1 and getting same issue.
(0005218)
ardit-endian (developer)
2010-11-26 10:07

Guys, please let us know when you release the patch on EN.
(0005249)
max-endian (developer)
2010-11-29 20:46

Hi guys.

Sorry, I haven't noticed the logging message.
I'm right intending that the js notifaction disappears with the first bugfix?

To fix the problem with the logging please replace this if in the file /usr/lib/python2.4/site-packages/endian/status/notification.py ca at line:

    if not os.path.exists(filename):
        raise NotFoundError("Status file for service '%s' not found." % service)

with this one:

    if not os.path.exists(filename):
        debug("Status file for service '%s' not found." % service)
        return {
            "exception": "Status file for service '%s' not found." % service,
            "error": "Status file for service '%s' not found." % service
            }

The first fix is still necassary!
(0005253)
NarinNil (reporter)
2010-11-30 10:54
edited on: 2010-11-30 10:55

Hi max

1. i found below function at line 1267 not 699

/* Define the poll function */
pollfn = lazy_apply(function() {
/* Only allow one request at a time */
if(this.requestInProgress) {
return;
...

2. file /usr/lib/python2.4/site-packages/endian/status/notification.py
not found on my system only have similar files = notifications.pyc
and content files not same as your post (size 2,458 bytes)

of course i try both solution but still got this issue, any idea ?

my system = 2.4.1 Kernel 2.6.32.24-57.e38.i586

(0005255)
max-endian (developer)
2010-11-30 11:42

Hi

Sorry, my servicesubscriber.js file has only 1269 lines. :)
And I forget that on the iso are not all .py files, because of the space...

I have uploaded the both fixed files, so you can replace/insert them on your system(I have taken the files from a 2.4.1 community! but it should work on every 2.4):

The location on the fw of notifications.py is(above I forget the 's'):
/usr/lib/python2.4/site-packages/endian/status/notifications.py

The location on the fw of servicesubscriber.js is:
/home/httpd/html/include/servicesubscriber.js

Please mind that you must reload the proxypage to update the js files in the cache of your browser and you must restart emi ('/etc/init.d/emi restart'), otherwise the changes will not have any effect.
(0005256)
NarinNil (reporter)
2010-11-30 12:09
edited on: 2010-11-30 12:42

Thanks max

i will try and then feedback again ;)

---------------------------------------------------------


OK It's wokr thank many time max :D

(0005257)
max-endian (developer)
2010-11-30 13:28

That's fine.
Thank you for your feedback!
(0005350)
anubisg1 (reporter)
2010-12-10 12:28

Any way to have this bug fixed with an official update (efw-upgrade) ? itìs a quite serious bug, since a core feature is not properly working.
(0005352)
max-endian (developer)
2010-12-10 13:38

Yes, there will be an upgrade.
(0005361)
Sinatraw (reporter)
2010-12-12 04:26

Max is there any sort of eta on the revised iso or upgrade?

Thank you...
(0005370)
max-endian (developer)
2010-12-14 10:57

Hi
Sorry, the release date for updates is not decided yet, it may takes 2-3 weeks. But I think in month sure.
(0007214)
GuntherZA (reporter)
2011-08-02 14:19

I tried replacing the attached files but it doesn't resolve the issue. A by product of replacing the files is that the "switches" in the gui doesn't work after. Ex. Cannot turn the proxy ON or OFF.

Using the latest community edition from the website. 2.4.1
(0007262)
cemendes (reporter)
2011-08-04 00:03
edited on: 2011-08-04 16:15

I applied the files attached to this bug and they worked! However, I think the file name notifcations.py is misspelled. Would the correct name be notifications.pyc? The reason I ask is that there is a notifcations.pyc already in that directory.

Again, ANY ETA for a formal release?

(0007399)
NigelBowen (reporter)
2011-09-12 08:49

What is the correct file extension? PYC or PY

All of the other files in that location are PYC
(0007401)
baldy (reporter)
2011-09-12 09:11

Just copy them in as is.

No need to change the extension.

Reboot when done.

Regards,

Klaas-Jan
(0007866)
rosch (reporter)
2012-05-12 18:42

Doesn't work for me, the page is still stuck even after a reboot.
Has there ever been a efw-update?

thanks for looking into this.
(0007909)
endiqw (reporter)
2012-06-12 10:07

I have fun read this blog post. I want to see more about this topic.Thank you for publishing this quality information.I have bookmarked this web page and can appear again following several days to verify for virtually any new posts that you simply make.And are you interested in understanding my website?Please http://www.airmax-2012.com/women-air-max-classic-bw-c-125.html. [^]
(0008351)
p1000 (reporter)
2012-12-10 10:16

We are having similar problem in version 2.5.1.
The servicesubscriber.js file is the same no changes.
However for notification.py, I can't find it at /usr/lib/python2.4/site-packages/endian/status/ only notification.pyc. After copy the file over and rebooted, the applying popup message did not appear anymore.
Is this suppose to be the permanent fixed ?

- Issue History
Date Modified Username Field Change
2010-02-11 19:34 aender New Issue
2010-02-11 19:37 aender Note Added: 0003769
2010-03-05 14:34 peter-endian Note Added: 0003949
2010-03-05 14:34 peter-endian Status new => feedback
2010-03-05 14:38 aender Note Added: 0003950
2010-04-13 04:34 tankgunk Note Added: 0004138
2010-06-04 17:22 tiagoaviz Note Added: 0004353
2010-09-23 17:59 peter-endian Status feedback => acknowledged
2010-11-07 15:15 compdoc Note Added: 0005032
2010-11-07 15:16 compdoc Note Edited: 0005032
2010-11-07 16:29 volga629 Note Added: 0005033
2010-11-07 16:30 volga629 Note Edited: 0005033
2010-11-07 16:37 volga629 Note Edited: 0005033
2010-11-07 16:43 volga629 Note Edited: 0005033
2010-11-08 12:23 luca-endian Tag Attached: purple
2010-11-10 08:53 ra-endian Relationship added has duplicate 0003277
2010-11-10 10:37 ardit-endian Note Added: 0005074
2010-11-11 11:16 ardit-endian Note Added: 0005089
2010-11-11 11:22 lorenzo-endian Relationship added has duplicate 0003262
2010-11-14 11:38 treetex Note Added: 0005111
2010-11-15 11:52 lorenzo-endian Note Added: 0005115
2010-11-15 11:52 lorenzo-endian Assigned To => christian-endian
2010-11-15 11:52 lorenzo-endian Status acknowledged => confirmed
2010-11-15 16:33 lorenzo-endian Relationship added has duplicate 0003294
2010-11-19 15:50 lorenzo-endian Relationship added has duplicate 0003312
2010-11-20 09:58 baldy Note Added: 0005167
2010-11-22 09:34 ardit-endian Note Added: 0005169
2010-11-22 18:49 christian-endian Assigned To christian-endian => max-endian
2010-11-22 18:49 christian-endian Status confirmed => assigned
2010-11-24 06:28 lorenzo-endian Relationship added has duplicate 0003270
2010-11-25 09:50 lorenzo-endian Relationship added has duplicate 0003322
2010-11-25 10:14 ra-endian Target Version => 2.4.1
2010-11-25 10:17 max-endian Note Added: 0005201
2010-11-25 10:17 max-endian Status assigned => resolved
2010-11-25 10:17 max-endian Resolution open => fixed
2010-11-26 01:35 Sinatraw Note Added: 0005214
2010-11-26 01:35 Sinatraw Status resolved => feedback
2010-11-26 01:35 Sinatraw Resolution fixed => reopened
2010-11-26 04:59 volga629 Note Added: 0005215
2010-11-26 09:48 amitkpt Note Added: 0005217
2010-11-26 10:07 ardit-endian Note Added: 0005218
2010-11-29 20:46 max-endian Note Added: 0005249
2010-11-30 10:54 NarinNil Note Added: 0005253
2010-11-30 10:55 NarinNil Note Edited: 0005253
2010-11-30 11:34 max-endian File Added: notifications.py
2010-11-30 11:34 max-endian File Added: servicesubscriber.js
2010-11-30 11:42 max-endian Note Added: 0005255
2010-11-30 12:09 NarinNil Note Added: 0005256
2010-11-30 12:42 NarinNil Note Edited: 0005256
2010-11-30 13:28 max-endian Note Added: 0005257
2010-11-30 13:28 max-endian Status feedback => resolved
2010-11-30 13:28 max-endian Resolution reopened => fixed
2010-12-10 12:28 anubisg1 Note Added: 0005350
2010-12-10 12:28 anubisg1 Status resolved => feedback
2010-12-10 12:28 anubisg1 Resolution fixed => reopened
2010-12-10 13:38 max-endian Note Added: 0005352
2010-12-10 13:38 max-endian Status feedback => resolved
2010-12-10 13:38 max-endian Resolution reopened => fixed
2010-12-12 04:26 Sinatraw Note Added: 0005361
2010-12-12 04:26 Sinatraw Status resolved => feedback
2010-12-12 04:26 Sinatraw Resolution fixed => reopened
2010-12-14 10:57 max-endian Note Added: 0005370
2010-12-14 10:57 max-endian Status feedback => resolved
2010-12-14 10:57 max-endian Resolution reopened => fixed
2011-01-20 15:07 ra-endian Customer Occurencies => 0
2011-06-22 22:38 Anonymous Note Added: 0006811
2011-06-22 22:38 Anonymous Status resolved => feedback
2011-06-22 22:38 Anonymous Resolution fixed => reopened
2011-06-27 13:19 Anonymous Note Edited: 0006811
2011-06-27 13:19 Anonymous Note Edited: 0006811
2011-06-29 10:57 Anonymous Note Edited: 0006811
2011-07-09 21:50 Anonymous Note Edited: 0006811
2011-07-14 19:47 Anonymous Note Deleted: 0006811
2011-08-02 14:19 GuntherZA Note Added: 0007214
2011-08-04 00:03 cemendes Note Added: 0007262
2011-08-04 16:15 cemendes Note Edited: 0007262
2011-09-12 08:49 NigelBowen Note Added: 0007399
2011-09-12 09:11 baldy Note Added: 0007401
2012-05-12 18:42 rosch Note Added: 0007866
2012-06-12 10:07 endiqw Note Added: 0007909
2012-12-10 10:16 p1000 Note Added: 0008351
2014-02-24 14:13 Anonymous Status feedback => closed
2014-02-24 14:13 Anonymous Resolution reopened => fixed
2014-02-24 14:13 Anonymous Fixed in Version => 2.5

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker